package ua.be.wee.model.nodes;

import ua.be.wee.model.pm.PM;

public class InvokingActivity extends Activity {
    private String invokedPM;
    private String branchId; // Novo campo

    public String getInvokedPM() {
        return invokedPM;
    }

    public void setInvokePM(String invokedPM) {
        this.invokedPM = invokedPM;
    }

    public String getBranchId() {
        return branchId;
    }

    public void setBranchId(String branchId) {
        this.branchId = branchId;
    }

    public Activity getTargetActivity(PM pm) {
        return pm.getNode(invokedPM) instanceof Activity ? (Activity) pm.getNode(invokedPM) : null;
    }
}